VirtualBox

Ticket #3552 (closed defect: fixed)

Opened 5 years ago

Last modified 3 years ago

VboxManage clonehd does not work with relative path names

Reported by: jimav Owned by:
Priority: major Component: host support
Version: VirtualBox 2.1.4 Keywords: clonehd
Cc: Guest type: Windows
Host type: Linux

Description

VBoxManage clonehd does not work correctly if an absolute path is not specified for the source disk image. Even ./whatever does not work:

The program seems to contain logic which tries to replace a ./ prefix with the full directory path, but the result is incorrect and the file is not found. See below.

Host system: Linux ubuntu 8.10 (intrepid) 64-bit (kernel 2.6.27)

$ cd /home/jima/.VirtualBox/diskimages
$ ls -la
total 11168512
drwxr-xr-x 2 jima jima        4096 2009-02-13 16:57 .
drwxr-xr-x 4 jima jima        4096 2009-02-19 12:24 ..
-rw------- 1 jima jima 11425366528 2009-02-26 17:46 Win7B64_disk.vdi
$ VBoxManage clonehd ./Win7B64_disk.vdi  /tmp/New.vdi
VirtualBox Command Line Management Interface Version 2.1.4
(C) 2005-2009 Sun Microsystems, Inc.
All rights reserved.

[!] FAILED calling a->virtualBox->OpenHardDisk2(src, srcDisk.asOutParam()) at line 369!
[!] Primary RC  = VBOX_E_IPRT_ERROR (0x80BB0005) - Runtime subsystem error
[!] Full error info present: true , basic error info present: true 
[!] Result Code = VBOX_E_IPRT_ERROR (0x80BB0005) - Runtime subsystem error
[!] Text        = Could not get the storage format of the hard disk '/home/jima/.VirtualBox/Win7B64_disk.vdi' (VERR_FILE_NOT_FOUND)
[!] Component   = HardDisk2, Interface: IHardDisk2, {ed6e2525-c2fd-42a4-917a-7a9045ac9e15}
[!] Callee      = IVirtualBox, {339abca2-f47a-4302-87f5-7bc324e6bbde}

Change History

comment:1 Changed 4 years ago by Technologov

Problem Confirmed.

Bug still exists in v3.2.0

-Technologov

comment:2 Changed 3 years ago by klaus

This is being worked on at the moment, and is part of a bigger redesign effort which will be completed with VirtualBox 4.0.

With existing VirtualBox versions we could just add more hacks which in the end will make everything even more confusing.

comment:3 Changed 3 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Should work well in VBox 4.0. Either specify an absolute path name or a relative path name starting from the current directory.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use